Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	K Desktop Environment - toys for KDE
Name:      	kdetoys
Version:	4.5.5
Release:	1
Provides:	kdetoys
License: 	GNU/GPL
URL:		http://kde.org
Group:     	Graphical Desktop/KDE          
Source0: 	kdetoys-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:      i686
BuildRequires:	libjpeg-devel
BuildRequires:	automoc4
BuildRequires:  phonon-devel
BuildRequires:  pulseaudio-libs-devel
Icon: 		kde-icon.xpm

# not actually a dependency - ccuxbuild bails out without it
BuildRequires:  kdepimlibs-devel
#####
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: kdebase-workspace-devel
BuildRequires: kdelibs-devel
BuildRequires: libgcc
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXft-devel
BuildRequires: libXpm-devel
BuildRequires: qt4-devel

%description
The kdetoys package contains various toys for the K Desktop Environment.

* kmoon - displays the phases of the moon
* kworldwatch - graphically displays the Earth's day and night
* kodo - a mouse odometer which shows how far your mouse has traveled

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
FLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG"
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS"
mkdir build
pushd build
cmake ../. -DCMAKE_INSTALL_PREFIX=%{_prefix}
make -j2
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd

%files
%defattr(-,root,root)
%_bindir/
%_datadir/applications/
%_datadir/dbus-1/
%_datadir/doc/
%_datadir/icons/
%_datadir/kde4/
%{_kde4_datadir}/man/man6/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jan 16 2011 Karsten Brockmann <arcam@ccux-linux.de> 4.5.5-1
- Version Update
* Fri Dec 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.4-1
- Version Update
* Thu Nov 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.3-1
- Version Update
* Wed Oct 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.2-1
- Version Update
* Wed Sep 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.1-1
- Version Update
* Tue Aug 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.0-1
- Version Update
* Wed Jul 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.95-1
- Version Update
* Thu Jul 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.92-1
- Version Update - experimental package branch - rc2
* Tue Jun 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.90-1
- Version Update - experimental package branch - rc1
* Wed Jun 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.4-1
- Version Update
* Thu May 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.3-1
- Version Update
* Wed Mar 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.2-1
- Version Update
* Thu Mar 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.1-1
- Version Update
* Wed Feb 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.0-1
- Version Update
* Wed Dec 02 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.4-1
- Version Update
* Wed Nov 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.3-1
- Version Update
* Wed Oct 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.2-1
- Version Update
* Thu Sep 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.1-1
- Version Update
* Sat Aug 15 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.0-1
- Version update
* Thu Jun 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.4-1
- Version update
* Fri May 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.3-1
- Version update
* Fri Apr 03 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.2-1
- Version update
* Fri Mar 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.1-1
- Version update
* Fri Jan 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.0-1
- Version update
* Sat Jan 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.1.96-1
- version update
* Wed Jan 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.1.87-1
- version update
* Sat Dec 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.85-1
- version update
* Fri Nov 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.80-1
- version update
* Wed Nov 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.3-1
- version update
* Fri Oct 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.2-1
- version update
* Sat Sep 06 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.1-1
- Version update
* Sun Feb 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.5.9-1
- Version update
* Fri Jan 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.5.8-2
- rebuilt against libstdc++ 1:4.1.2
* Tue Oct 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.5.8-1
- Version update
* Tue May 22 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.5.7-1
- Version update
* Sat Jan 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.5.6-1
- Version update
* Thu Oct 12 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.5.5-1
- Version update
* Thu Aug 03 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.5.4-1
- Initial Release
